Summary:	Xfontcache - X-TrueType font cache extension client library
Summary(pl.UTF-8):	Xfontcache - biblioteka kliencka rozszerzenia cache'u fontów X-TrueType
Name:		xorg-lib-libXfontcache
Version:	1.0.5
Release:	4
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXfontcache-%{version}.tar.bz2
# Source0-md5:	bbd37768c87f63cf2eb845b2c0f56515
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-proto-fontcacheproto-devel
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xfontcache is an X-TrueType font cache extension client library.

%description -l pl.UTF-8
Xfontcache to biblioteka kliencka rozszerzenia cache'u fontów
X-TrueType.

%package devel
Summary:	Header files for libXfontcache library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXfontcache
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-proto-fontcacheproto-devel
Requires:	xorg-lib-libXext-devel

%description devel
Xfontcache is an X-TrueType font cache extension client library.

This package contains the header files needed to develop programs that
use libXfontcache.

%description devel -l pl.UTF-8
Xfontcache to biblioteka kliencka rozszerzenia cache'u fontów
X-TrueType.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXfontcache.

%package static
Summary:	Static libXfontcache library
Summary(pl.UTF-8):	Biblioteka statyczna libXfontcache
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Xfontcache is an X-TrueType font cache extension client library.

This package contains the static libXfontcache library.

%description static -l pl.UTF-8
Xfontcache to biblioteka kliencka rozszerzenia cache'u fontów
X-TrueType.

Pakiet zawiera statyczną bibliotekę libXfontcache.

%prep
%setup -q -n libXfontcache-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libXfontcache.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXfontcache.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXfontcache.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXfontcache.so
%{_pkgconfigdir}/xfontcache.pc
%{_mandir}/man3/FontCache*.3*
%{_mandir}/man3/Xfontcache.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXfontcache.a
%changelog
* Sun Jan 03 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXfontcache.git;a=log;h=master

* Wed Aug 26 2020 Jakub Bogusz <qboosh@pld-linux.org> 98d2c11
- drop .la file, release 4

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 15cb410
- x32 rebuild
- release 3 (by relup.sh)

* Wed Dec 31 2014 Jan Rękorajski <baggins@pld-linux.org> 5fd6d6d
- fixed files

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> a30703b
- dropped pre-cvs changelog

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> a28eecc
- rebuild
- rel 2

* Fri Oct 09 2009 Jakub Bogusz <qboosh@pld-linux.org> 90be988
- updated util-macros version
- ghost soname symlink
- added README to doc, more verbose files and descs

* Fri Oct 09 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 47bbe54
- up to 1.0.5

* Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 12b849b
- release 3

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 380c778
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 93ae0ef
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5516d69
- converted to UTF-8

* Sat Dec 16 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> a857bc2
- up to 1.0.4

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 595d26a
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 04dad4a
- rebuild

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> fdb2b65
- updated to 1.0.3, release 1

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b69f26
- up to 1.0.2

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> 46de1e5
- 1.0.1 (X11R7.0 release)

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> cfae0cc
- 1.0.0 (X11R7.0-RC4)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> f0c5b53
- -devel desc fixes

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> a2b8cb3
- 0.99.2 (X11R7.0-RC3)

